Bug Hunting Session
Bug 121580 - Missing icon for "Organize Dialogs" in Calc Tools Tab
Summary: Missing icon for "Organize Dialogs" in Calc Tools Tab
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 11:50 UTC by Pedro
Modified: 2018-12-10 17:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Organize Dialogs missing an icon (445.01 KB, image/png)
2018-11-21 11:50 UTC, Pedro
Details
Excel Macro button can be used as inspiration (721.89 KB, image/png)
2018-11-21 11:51 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-11-21 11:50:04 UTC
Created attachment 146864 [details]
Organize Dialogs missing an icon

In the Tabbed UI, on the Tools tab the Organize Dialogs command is missing an icon. 
This icon opens the Basic Macro Organizer dialog, therefore I propose that the icon is made similar to the Macros icon from the Excel Developer tab in the Ribbon UI that opens the equivalent dialog box.
Comment 1 Pedro 2018-11-21 11:51:14 UTC
Created attachment 146865 [details]
Excel Macro button can be used as inspiration
Comment 2 Rizal Muttaqin 2018-11-22 03:04:08 UTC
(In reply to Pedro from comment #0)
> Created attachment 146864 [details]
> Organize Dialogs missing an icon
> 
> In the Tabbed UI, on the Tools tab the Organize Dialogs command is missing
> an icon. 
> This icon opens the Basic Macro Organizer dialog, therefore I propose that
> the icon is made similar to the Macros icon from the Excel Developer tab in
> the Ribbon UI that opens the equivalent dialog box.

The .uno: command is ".uno:MacroOrganizer?TabId:short=1", this command has a quite strange naming. I had added an icon to Karasa Jaga's links.txt as well as XML modification (GenericCommands.xcu) at the time and the result the icon were not appearing. 

Heiko has sent me a debugging report against this change in Telegram, so I revert XML code back while leave the links.txt file as is to date.

```Heiko Tietze, [18.10.18 16:55]
Failed to load image 'cmd/sc_macroorganizer%3ftabid%3ashort=1.png' from icon theme 'karasa_jaga'
```
Comment 3 Heiko Tietze 2018-11-30 10:44:24 UTC
(In reply to Rizal Muttaqin from comment #2)
> Heiko has sent me a debugging report against this change in Telegram, so I
> revert XML code back while leave the links.txt file as is to date.

Is the reported issue solved by this?
Comment 4 Xisco Faulí 2018-12-10 16:02:49 UTC
Setting to RESOLVED WORKSFORME until the commit fixing this issue has been identified...
Comment 5 Pedro 2018-12-10 17:46:53 UTC
The Organize Dialogs command was replaced by the Organize Macros and that one has an icon.
We would have to ask Rizal and Andreas what were the commits that fixed this.